From 9df4395616f215527666a7bd2a59f0c2770c14d1 Mon Sep 17 00:00:00 2001
From: ogg.k.ogg.k <ogg.k.ogg.k@googlemail.com>
Date: Sun, 28 Dec 2008 20:42:50 +0000
Subject: [PATCH] silence two very spammy warnings when assert is disabled

---
 include/vlc_variables.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/include/vlc_variables.h b/include/vlc_variables.h
index b43a44d..70146db 100644
--- a/include/vlc_variables.h
+++ b/include/vlc_variables.h
@@ -199,7 +199,9 @@ VLC_EXPORT( int, __var_TriggerCallback, ( vlc_object_t *, const char * ) );
 static inline void __var_AssertType( vlc_object_t *p_obj, const char *psz_name,
                                      int i_expected )
 {
+    VLC_UNUSED( i_expected );
     const int i_type = __var_Type( p_obj, psz_name ) & VLC_VAR_CLASS;
+    VLC_UNUSED( i_type );
     assert( i_type == 0 || i_type == (i_expected&VLC_VAR_CLASS) );
 }
 
-- 
1.6.0

